Skip to main content
PATCH
/
{version}
/
messages
/
{message}
Update message
curl --request PATCH \
  --url https://api.perscom.io/{version}/messages/{message} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>",
  "channels": [],
  "recipients": [
    123
  ],
  "repeats": false,
  "send_at": "2023-11-07T05:31:56Z",
  "sent_at": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.perscom.io/{version}/messages/{message}"

payload = {
"message": "<string>",
"channels": [],
"recipients": [123],
"repeats": False,
"send_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: '<string>',
channels: [],
recipients: [123],
repeats: false,
send_at: '2023-11-07T05:31:56Z',
sent_at: '2023-11-07T05:31:56Z'
})
};

fetch('https://api.perscom.io/{version}/messages/{message}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "message": "<string>",
    "channels": [],
    "id": 123,
    "recipients": [
      123
    ],
    "repeats": false,
    "send_at": "2023-11-07T05:31:56Z",
    "sent_at": "2023-11-07T05:31:56Z",
    "label": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
"error": {
"message": "You are not authenticated. Please provide a valid API key that contains your PERSCOM ID to continue.",
"type": "AuthenticationException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "A valid subscription is required to complete this request.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The API key provided does not have the correct permissions and/or scopes to perform the requested action.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The requested resource or endpoint could not be found.",
"type": "NotFoundHttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The [field] is [required|invalid|etc].",
"type": "ValidationException",
"errors": {
"email": [
"The email field is required.",
"The email must be a valid email address."
],
"password": [
"The password must be at least 8 characters.",
"The password must contain at least one uppercase letter."
]
},
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "You have exceeded the API rate limit. Please wait a minute before trying again.",
"type": "ThrottleRequestsException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The API is currently down for maintenance. Please check back later.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
enum<string>
default:v2
required

The API version to use.

Available options:
v1,
v2
message
integer
required

Query Parameters

include
enum<string>
Available options:
schedule

Body

application/json
message
string
required

Supports HTML.

channels
enum<string>[]
required
Available options:
broadcast,
database,
discord_private,
discord_public,
mail,
sms
recipients
integer[]

An array of User IDs. Defaults to everyone if no recipients are provided.

repeats
boolean
default:false
send_at
string<date-time> | null

Set a future date to send the msssage at.

sent_at
string<date-time> | null

Response

OK

data
MessageResource · object